import axios from "axios";

class Telegram {
	constructor(token) {
		this.axios = axios.create({
			baseURL: `https://api.telegram.org/bot${token}`
		});
	}

	sendMessage(chat_id, text) {
		this.axios.post("/sendMessage", {chat_id, text});
	}

	sendLocation(chat_id, latitude, longitude) {
		this.axios.post("/sendLocation", {chat_id, latitude, longitude});
	}
}

export default Telegram;
